Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hmef.attribute
Class MAPIAttribute

    java.lang.Object
      org.apache.poi.hmef.attribute.MAPIAttribute

Direct Known Subclasses:
  MAPIDateAttribute, MAPIRtfAttribute, MAPIStringAttribute

    public class MAPIAttribute

extends java.lang.Object

A pure-MAPI attribute which applies to a `HMEFMessage` or one of its `Attachment`s.

Constructor Summary
`MAPIAttribute(MAPIProperty property, int type, byte[] data)` Constructs a single new attribute from the contents of the stream

Method Summary
`static java.util.List` | `create(TNEFAttribute parent)` Parses a MAPI Properties TNEF Attribute, and returns the list of MAPI Attributes contained within it
`byte[]` | `getData()`
`MAPIProperty` | `getProperty()`
`int` | `getType()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MAPIAttribute

    public MAPIAttribute(MAPIProperty property,
                         int type,
                         byte[] data)

  Constructs a single new attribute from the contents of the stream

Method Detail

### getProperty

    public MAPIProperty getProperty()

### getType

    public int getType()

### getData

    public byte[] getData()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### create

    public static java.util.List create(TNEFAttribute parent)
                                 throws java.io.IOException

  Parses a MAPI Properties TNEF Attribute, and returns the list of MAPI Attributes contained within it

  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD